Bug 834814 - Printer HP P1006 not recognised and not working
Printer HP P1006 not recognised and not working
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hplip (Show other bugs)
17
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-23 17:22 EDT by markm
Modified: 2013-08-01 08:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 08:44:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description markm 2012-06-23 17:22:29 EDT
Description of problem:

I've just ugpraded Fedora 14 to Fedora 17 on my home desktop (fresh installation). In Fedora 14 printer worked fine, unable to use it in Fedora 17 though. Printer installs just fine, I can "print" a test page, but... apart from gnome-hell happilly anouncing that the test page was printed, nothing really happens. Printer remains silent and does nothing.

In Fedora 14 I could hear printer warming up two times, the second time indicated that the firmware was downloaded to the printer. In Fedora 17 I don't get to hear this second warming up.

Version-Release number of selected component (if applicable):

# rpm -qa | grep printer
printer-filters-1.1-6.fc17.noarch
system-config-printer-libs-1.3.9-1.fc17.x86_64
system-config-printer-1.3.9-1.fc17.x86_64

How reproducible:

tried a number of times (including restart)

Steps to Reproduce:
1. attach HP P1006 printer
2. install it
3. print a test page
  
Actual results:

Nothing happens


Expected results:

Test page to be printed

Additional info:

new printer settings dialog is so poor - how do I configure printer's settings now? ie. how do I set a default paper size? as it wrongly sets a Letter paper, instead of A4 commonly used around the world.
Comment 1 Jiri Popelka 2012-06-25 11:50:05 EDT
(In reply to comment #0)
> Steps to Reproduce:
> 1. attach HP P1006 printer

If you mean LaserJet P1006 then this printer AFAIK needs a proprietary plugin,
which you should install with 'hp-plugin -i'. 

> Printer installs just fine, I can "print" a test page, but...
> apart from gnome-hell happilly anouncing that the test page was printed,
> nothing really happens. Printer remains silent and does nothing.

Strange, if my above comment is right, then the print job should fail with state reason 'hplip.plugin-error'.

If the printer is still not printing after installing the plugin,
try to print a test page from printing troubleshooter.
https://fedoraproject.org/wiki/Printing/Debugging#Printing_troubleshooter
and add the troubleshoot.txt to this bug report. thanks

> new printer settings dialog is so poor - how do I configure printer's
> settings now? ie. how do I set a default paper size? as it wrongly sets a
> Letter paper, instead of A4 commonly used around the world.

You are most likely using GNOME control-center (System Settings > Printers).
I don't know how to do that there, but you can still use system-config-printer (System > Administration > Printing).
Comment 2 Tim Waugh 2012-07-02 07:14:49 EDT
Setting to needinfo, pending a troubleshoot.txt report.
Comment 3 Fedora End Of Life 2013-07-04 00:07:43 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-08-01 08:44:56 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.